// main.c header

#include <windows.h>
#include <commctrl.h>
#include <htmlhelp.h>

#include "resource.h"

#include "common.h"

#include "cleditor.h"

/**************************************
 *  typedef
 **************************************/

typedef struct _tag_PATHLIST
{
	char* dir;
	struct _tag_PATHLIST* next;
} PATHLIST;

typedef struct _tag_CMDLIST
{
	char* name;
	DWORD type;
	char* icon;
	union
	{
		struct
		{
			char* exe;
			char* param;
			char* workdir;
			int nShowCmd;
		}execmd;
		DWORD syscmd;
	}param;
	struct _tag_CMDLIST* next;
} CMDLIST;

typedef struct
{
	COLORREF background;
	COLORREF foreground;
}COLORSET;

/**************************************
 *  define
 **************************************/

// CMDLIST.type
#define CMDTYPE_SYS 1
#define CMDTYPE_EXE 2

// CMDLIST.syscmd
#define SYSCMD_EXIT 0
#define SYSCMD_ABOUT 1
